RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter Struct Reference

`#include <ROMol.h>`

## Public Member Functions

| CXXBondIter (Graph *graph, typename Graph::edge_iterator pos)
Edge & | operator* ()
CXXBondIter & | operator++ ()
bool | operator!= (const CXXBondIter &it) const

## Public Attributes

Graph * | graph
Graph::edge_iterator | pos
Bond * | current

## Detailed Description

### template<class Graph, class Edge>
struct RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter

Definition at line 143 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXBondIter()

template<class Graph , class Edge >

RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::CXXBondIter | ( | Graph * | graph,
|  | typename Graph::edge_iterator | pos
| ) |  |

inline

Definition at line 148 of file ROMol.h.

## Member Function Documentation

## operator!=()

template<class Graph , class Edge >

bool RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator!= | ( | const CXXBondIter & | it | ) | const

inline

Definition at line 159 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::pos.

## operator*()

template<class Graph , class Edge >

Edge& RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator* | ( |  | ) |

inline

Definition at line 151 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::current, and RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::pos.

## operator++()

template<class Graph , class Edge >

CXXBondIter& RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator++ | ( |  | ) |

inline

Definition at line 155 of file ROMol.h.

References RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::pos.

## Member Data Documentation

## current

template<class Graph , class Edge >

Bond* RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::current

Definition at line 146 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator*().

## graph

template<class Graph , class Edge >

Graph* RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::graph

Definition at line 144 of file ROMol.h.

## pos

template<class Graph , class Edge >

Graph::edge_iterator RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::pos

Definition at line 145 of file ROMol.h.

Referenced by RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator!=(), RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator*(), and RDKit::CXXBondIterator< Graph, Edge >::CXXBondIter::operator++().

The documentation for this struct was generated from the following file:

- ROMol.h